import request from '@/utils/request'
import {upcloud_base_wh_outbound, upcloud_base_wh_inbound, upcloud_base_wh_control} from "@/config/serviceSettings";


export function addItem(data) {
  return request.post(upcloud_base_wh_outbound + '/rqcHeaders/addWithRelated', data)
}

export function taskSplit(data) {
  return request.post(upcloud_base_wh_outbound + '/rqcHeaders/taskSplit', data)
}

export function doException(data) {
  return request.post(upcloud_base_wh_outbound + '/rqcHeaders/doException', data)
}

//获取预抽样集合
export function getPreList(data) {
  return request.post(upcloud_base_wh_outbound + '/wmsInRqcSample/v1/get-prelist', data)
}

//抽检
export function batchAdd(data) {
  return request.post(upcloud_base_wh_outbound + '/wmsInRqcSample/v1/batchAdd', data)
}

//扫描监管码
export function addSupervisionCode(data) {
  return request.post(upcloud_base_wh_outbound + '/supervisionCode/addSupervisionCode', data)
}

// 获取已扫码监管码列表
export function findCodesByBill(data) {
  return request.post(upcloud_base_wh_inbound + '/supervisionCode/findCodesByAllRefBillLineId', data)
}

// 解锁接口
export function unlock(data) {
  return request.post(upcloud_base_wh_control + '/workgroup/unlock', data)
}
